package cmm.service;

import java.util.List;

import cmm.util.DataMap;
import egovframework.rte.fdl.cmmn.exception.EgovBizException;


public interface ExtService {
	List<DataMap> selectExtSigunguList(DataMap paramMap) throws EgovBizException;
	List<DataMap> selectExtSigunguList2(DataMap paramMap) throws EgovBizException;
	List<DataMap> selectExtGisSigunguList(DataMap paramMap) throws EgovBizException;
	List<DataMap> selectExtGisDongList(DataMap paramMap) throws EgovBizException;
	List<DataMap> selectExtSidoMapMappingList(DataMap paramMap) throws EgovBizException;
    List<DataMap> selectExtDfInfoList(DataMap paramMap) throws EgovBizException;
    List<DataMap> selectExtAisInfoList(String sido, String sigungu) throws EgovBizException;
    List<DataMap> selectExtFtdInfoList(DataMap paramMap) throws EgovBizException;
    List<DataMap> selectCulRelatedNews(DataMap paramMap) throws EgovBizException;
    DataMap selectExtGiaDetail(String contentId, String contentTypeId) throws EgovBizException;
    DataMap insertExtDfInfo();
    DataMap insertExtFdInfo();
    DataMap insertExtGiaInfo(String contentTypeId);
    DataMap insertMediaHstInfo();
}
